Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ZFS blocked by udev-init-scripts
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
Vandr0iy
n00b
n00b


Joined: 30 May 2015
Posts: 30

PostPosted: Sun Jan 24, 2016 11:21 pm    Post subject: ZFS blocked by udev-init-scripts Reply with quote

Good evening!
I wanted to install zfs userspace utilities, but, for some reason sys-fs/udev-init-scripts is blocking it. What might be causing it?
here's what I did:
Code:
emerge -av zfs                                                       

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] sys-kernel/spl-0.6.5.3-r1::gentoo  USE="-custom-cflags -debug" 548 KiB
[ebuild  N     ] sys-fs/zfs-kmod-0.6.5.3-r3::gentoo  USE="rootfs -custom-cflags -debug" 2,550 KiB
[ebuild  N     ] sys-fs/zfs-0.6.5.3-r3::gentoo  USE="rootfs -custom-cflags -debug (-kernel-builtin) -static-libs -test-suite" PYTHON_TARGETS="python2_7 python3_4 -python3_3 -python3_5" 0 KiB
[blocks B      ] >=sys-fs/udev-init-scripts-28 (">=sys-fs/udev-init-scripts-28" is blocking sys-fs/zfs-0.6.5.3-r3)

Total: 3 packages (3 new), Size of downloads: 3,098 KiB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-fs/zfs-0.6.5.3-r3:0/0::gentoo, ebuild scheduled for merge) pulled in by
    zfs

  (sys-fs/udev-init-scripts-30:0/0::gentoo, installed) pulled in by
    >=sys-fs/udev-init-scripts-26 required by (sys-fs/udev-228:0/0::gentoo, installed)
Back to top
View user's profile Send private message
Tyler_Durden
Apprentice
Apprentice


Joined: 27 Jul 2004
Posts: 189
Location: Germany

PostPosted: Sat Jan 30, 2016 6:16 pm    Post subject: Re: ZFS blocked by udev-init-scripts Reply with quote

Vandr0iy wrote:
What might be causing it?

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(sys-fs/zfs-0.6.5.3-r3:0/0::gentoo, ebuild scheduled for merge) pulled in by
zfs

(sys-fs/udev-init-scripts-30:0/0::gentoo, installed) pulled in by
>=sys-fs/udev-init-scripts-26 required by (sys-fs/udev-228:0/0::gentoo, installed)


Why not just read the error message? You need to downgrade to sys-fs/udev-init-scripts-27 and better paste the entry ">=sys-fs/udev-init-scripts-28" in /etc/portage/package.mask then.
_________________
Gentoo 17.1 x86_64
Intel Core i7-6700K
Asus MAXIMUS VIII HERO
Asus Geforce GTX1080 Ti
Asus STRIX RAID DLX
32GB DDR4
Samsung SSD SM951-NVMe 256GB
8x Seagate Archive (SATA-RAID 64TB)
Digital Devices Cine S2 V6.5 DVB Adapter
Back to top
View user's profile Send private message
jeffk
l33t
l33t


Joined: 13 Sep 2003
Posts: 661

PostPosted: Fri Feb 19, 2016 6:31 pm    Post subject: Reply with quote

FWIW, I came here with the exact same question. I misinterpreted >=sys-fs/udev-init-scripts-28 as meaning the higher version was required by zfs.
Code:
% sudo emerge sys-fs/zfs sys-fs/zfs-kmod --oneshot -pv
[ebuild  N     ] sys-kernel/spl-0.6.5.4-r1::gentoo  USE="-custom-cflags -debug" 546 KiB
[ebuild  N     ] sys-fs/zfs-kmod-0.6.5.4-r1::gentoo  USE="rootfs -custom-cflags -debug" 2,511 KiB
[ebuild  N     ] sys-fs/zfs-0.6.5.4-r2::gentoo  USE="rootfs -custom-cflags -debug (-kernel-builtin) -static-libs -test-suite"
                 PYTHON_TARGETS="python2_7 python3_5 -python3_3 -python3_4" 63 KiB
[blocks B      ] >=sys-fs/udev-init-scripts-28 (">=sys-fs/udev-init-scripts-28" is blocking sys-fs/zfs-0.6.5.4-r2)

Total: 3 packages (3 new), Size of downloads: 3,118 KiB
Conflict: 1 block (1 unsatisfied)

Error: The above package list contains packages which cannot be
installed at the same time on the same system.

  (sys-fs/zfs-0.6.5.4-r2:0/0::gentoo, ebuild scheduled for merge) pulled in by
    sys-fs/zfs

  (sys-fs/udev-init-scripts-30:0/0::gentoo, installed) pulled in by
    >=sys-fs/udev-init-scripts-26 required by (sys-fs/udev-229:0/0::gentoo, installed)
Back to top
View user's profile Send private message
jeffk
l33t
l33t


Joined: 13 Sep 2003
Posts: 661

PostPosted: Fri Jul 22, 2016 4:08 pm    Post subject: Reply with quote

Does anyone know where this requirement for a pinned version of udev-init-scripts comes from, i.e. gentoo-specific or ZFS upstream?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum